add rp-l2tp package (closes: #459).
[openwrt/staging/dedeckeh.git] / openwrt / package / rp-l2tp / files / rp-l2tpd.init
diff --git a/openwrt/package/rp-l2tp/files/rp-l2tpd.init b/openwrt/package/rp-l2tp/files/rp-l2tpd.init
new file mode 100755 (executable)
index 0000000..4e03836
--- /dev/null
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+DEFAULT=/etc/default/rp-l2tpd
+RUN_D=/var/run
+[ -f $DEFAULT ] && . $DEFAULT
+
+case $1 in
+ start)
+  [ -d $RUN_D ] || mkdir -p $RUN_D
+  l2tpd $OPTIONS
+  ;;
+ *)
+  echo "usage: $0 (start)"
+  exit 1
+esac
+
+exit $?